0

Can anyone help me with this? Im trying to installed 5.3.2 and this message is appearing.

Exception Caught
There is no suitable CSPRNG installed on your system
ee/EllisLab/ExpressionEngine/Library/Compat/Random/random.php:176

Stack Trace: Please include when reporting this error
#0 ee/EllisLab/ExpressionEngine/Library/Compat/Random/random_int.php(156): random_bytes(8)
#1 ee/EllisLab/ExpressionEngine/Service/Encrypt/Encrypt.php(285): random_int(-9223372036854775807, 9223372036854775807)
#2 ee/installer/controllers/wizard.php(878): EllisLab\ExpressionEngine\Service\Encrypt\Encrypt->generateKey()
#3 ee/installer/controllers/wizard.php(272): Wizard->do_install()
#4 [internal function]: Wizard->_remap('do_install', Array)
#5 ee/EllisLab/ExpressionEngine/Core/Core.php(241): call_user_func_array(Array, Array)
#6 ee/EllisLab/ExpressionEngine/Core/Core.php(110): EllisLab\ExpressionEngine\Core\Core->runController(Array)
#7 ee/EllisLab/ExpressionEngine/Boot/boot.php(151): EllisLab\ExpressionEngine\Core\Core->run(Object(EllisLab\ExpressionEngine\Core\Request))
#8 admin.php(153): require_once('...')
#8 admin.php(153): require_once('...')
1

CSPRNG stands for cryptographically secure pseudo-random number generator which is a library added to PHP from version 7.0 onwards. From version 5.2 onwards it was possible to install an additional module on your server to provide this service.

So my guess is that the php system on the server you are using is running some flavour of php5, and that this additional module is not installed.

Strong recommendation is therefore to adjust your server to be one that is running a version of php7. If this is not possible, then discuss with your server administration the possibility of adding the necessary CSPRNG module to whatever version is being used.

HTH

| improve this answer | |
  • 1
    Thanks a lot for your informative and swift answer. I was wondering if it was due to the php version. Ill check with the host. :) – Kippi Jun 11 at 11:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.